<!DOCTYPE HTML>
<html xmlns:th="http://www.thymeleaf.org/" lang="en">
    <head> 
        <title>CreateRisk Zone</title> 
        <meta name="viewport" content="width=device-width">
        <link rel="stylesheet" href="/css/form.css"/>
        <link rel="stylesheet" href="/css/createZone.css"/>
        <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.3.1/dist/css/bootstrap.min.css" integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">
    <!-- Matomo -->
        <script>
            var _paq = window._paq = window._paq || [];
            /* tracker methods like "setCustomDimension" should be called before "trackPageView" */
            _paq.push(['trackPageView']);
            _paq.push(['enableLinkTracking']);
            (function() {
            var u="//matomomufish.duckdns.org/";
            _paq.push(['setTrackerUrl', u+'matomo.php']);
            _paq.push(['setSiteId', '1']);
            var d=document, g=d.createElement('script'), s=d.getElementsByTagName('script')[0];
            g.async=true; g.src=u+'matomo.js'; s.parentNode.insertBefore(g,s);
            })();
        </script>
    </head>
    
    <body>
        <div class="cont">
            <a  href="/mapa"><img id = "back" src="/images/back.png" alt="back-button"></a>
            <h2>CREATE RISK ZONE</h2> 
            <form action="/createNewRiskZone">
                <div class="cont-inputs">
                    <label id="zoneId" class="label">
                        <p>Zone ID:</p>
                        <input type="number" name="zoneId" class="form-control" placeholder="Zone id" required>
                    </label>
                    <br>
                    <label id="radio" class="label">
                        <p>Radio:</p>
                        <input type="number" name="radio" class="form-control" placeholder="radio" required>
                    </label>
                </div>
                <br>
                <div class="cont-inputs">
                    <label id="posX" class="label">
                        <p>X position:</p>
                        <input type="number" step="any" name="posX" placeholder="posX" class="form-control" data-mdb-filter="true" required>
                    </label>
                    <br>
                    <label id="posY" class="label">
                        <p>Y position:</p>
                        <input type="number" step="any" name="posY" placeholder="posY" class="form-control" data-mdb-filter="true" required>
                    </label>
                </div> 
                <br>
            
                <label id="estado" class="label">
                    <p>State:</p>
                    <input type="text" name="estado" placeholder="state" class="form-control" data-mdb-filter="true" required>
                </label>
                <br>
                <a id="btnSend"><button type="submit"  class="button" onclick="_paq.push(['trackEvent', 'Coastguard Ship Map', 'Create risk zone Clicked', 'Create Risk Zone']);" >Create Risk Zone</button></a>
            </form>
        </div>
    </body>
</html>
